#define F_TIMER 100             // 100Hz sys tick
#define UART_BAUD_RATE 9600L    

// don't change below, will be calculated

#define UBRR_VAL  ((F_CPU+UART_BAUD_RATE*8)/(UART_BAUD_RATE*16)-1)
#define BAUD_REAL (F_CPU/(16*(UBRR_VAL+1)))
#define BAUD_ERROR ((BAUD_REAL*1000)/UART_BAUD_RATE)    // error in promille + 1000

#if ((BAUD_ERROR<985) || (BAUD_ERROR>1015))
#error Systematic baud error above 1.5% which is too high!
#endif

#define PERIOD ((F_CPU / (F_TIMER * 8))-1)

#if (PERIOD >65535)
#error F_TIMER too low! 
#endif
